# Addresses

Requires `Authorization: Token <your token>` in the header.

## Lookup a wallet address using a hash and blockchain name and get predictions

<mark style="color:blue;">`GET`</mark> `https://api.starfall.ai/api/addresses/{hash}/?blockchain_name={blockchain_name}`

#### Path Parameters

| Name                                   | Type   | Description    |
| -------------------------------------- | ------ | -------------- |
| hash<mark style="color:red;">\*</mark> | String | Wallet address |

#### Query Parameters

| Name                                               | Type   | Description                               |
| -------------------------------------------------- | ------ | ----------------------------------------- |
| blockchain\_name<mark style="color:red;">\*</mark> | String | Name of the blockchain from i.e. ethereum |

{% tabs %}
{% tab title="200: OK " %}

```json
{
  "id": 0,
  "name": "string",
  "hash": "string",
  "is_blacklist": true,
  "blockchain_name": "string",
  "final_predictions": [
    {
      "id": 0,
      "predictions": [
        {
          "id": 0,
          "created": "2023-11-30T10:55:57.374Z",
          "modified": "2023-11-30T10:55:57.374Z",
          "model_version": "string",
          "model_name": "string",
          "fraud_data": {
            "additionalProp1": "string",
            "additionalProp2": "string",
            "additionalProp3": "string"
          },
          "bot_data": {
            "additionalProp1": "string",
            "additionalProp2": "string",
            "additionalProp3": "string"
          },
          "run_number": 2147483647,
          "address": 0
        }
      ],
      "created": "2023-11-30T10:55:57.374Z",
      "modified": "2023-11-30T10:55:57.374Z",
      "model_chosen": "string",
      "run_number": 2147483647,
      "fraud_probability": 0,
      "final_prediction": 2147483647,
      "fraud_message": "string",
      "has_erc20_token_transfers": true,
      "num_erc20_token_transfers": 2147483647,
      "has_transactions": true,
      "num_transactions": 2147483647,
      "is_bot": true,
      "address": 0
    }
  ]
}
```

{% endtab %}
{% endtabs %}

## Get a list of related wallets to the wallet based on signals and predictions

<mark style="color:blue;">`GET`</mark> `https://api.starfall.ai/api/addresses/{hash}/related/?blockchain_name={blockchain_name}`

Gives a list of related wallets to the current wallet. Clusters wallets based on predictions and signals and returns the closest cluster of wallets.

#### Path Parameters

| Name                                   | Type   | Description    |
| -------------------------------------- | ------ | -------------- |
| hash<mark style="color:red;">\*</mark> | String | Wallet Address |

#### Query Parameters

| Name                                               | Type   | Description                               |
| -------------------------------------------------- | ------ | ----------------------------------------- |
| blockchain\_name<mark style="color:red;">\*</mark> | String | Name of the blockchain from i.e. ethereum |

{% tabs %}
{% tab title="200: OK " %}

```json
{
  "id": 0,
  "name": "string",
  "hash": "string",
  "is_blacklist": true,
  "blockchain_name": "string",
  "final_predictions": [
    {
      "id": 0,
      "predictions": [
        {
          "id": 0,
          "created": "2023-11-30T11:02:18.337Z",
          "modified": "2023-11-30T11:02:18.337Z",
          "model_version": "string",
          "model_name": "string",
          "fraud_data": {
            "additionalProp1": "string",
            "additionalProp2": "string",
            "additionalProp3": "string"
          },
          "bot_data": {
            "additionalProp1": "string",
            "additionalProp2": "string",
            "additionalProp3": "string"
          },
          "run_number": 2147483647,
          "address": 0
        }
      ],
      "created": "2023-11-30T11:02:18.337Z",
      "modified": "2023-11-30T11:02:18.337Z",
      "model_chosen": "string",
      "run_number": 2147483647,
      "fraud_probability": 0,
      "final_prediction": 2147483647,
      "fraud_message": "string",
      "has_erc20_token_transfers": true,
      "num_erc20_token_transfers": 2147483647,
      "has_transactions": true,
      "num_transactions": 2147483647,
      "is_bot": true,
      "address": 0
    }
  ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.starfall.ai/api-reference/addresses.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
